interface ICronTaskRunInfo {
    running: boolean;
    lastRunningTm: number;
}
export default abstract class CkCronTask {
    protected TASK_STATE: ICronTaskRunInfo;
    /**
     * cron task 초기화. 상속 받는 곳에서 주로 overwrite 해서 사용 한다.
     * cron 동작시 init(), run() 이 세트로 실행 된다.
     * 즉, task 실행시 마다 init 는 실행 된다. 만일 최초 한번 초기화를 해야 한다면 constructor 에서 처리 하도록 한다.
     */
    init(): void;
    /**
     * cron task 가 동작 중인지 확인
     */
    isRunning(): boolean;
    /**
     * cron task 동작 시작
     * @param lhd {string} 로그키
     */
    setRunning(lhd: string): void;
    /**
     * cron task 종료.
     * cron task 가 종료 된다면 반듯이 호출 되어야 한다.
     * @param lhd {string} 로그키
     */
    taskEnd(lhd: string): void;
    /**
     * 상속 받는 곳에서 구현 해야 한다.
     * cron task 동작
     * @param lhd {string} 로그키
     */
    abstract run(lhd: string): void;
}
export {};
